package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 消息对象 message
 * 
 * @author haotian
 * @date 2024-10-28
 */
public class Message extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 消息id */
    private Long messageId;

    /** 发送消息者id */
    @Excel(name = "发送消息者id")
    private Long sendUserId;

    /** 接收消息者id */
    @Excel(name = "接收消息者id")
    private Long receiveUserId;

    /** 消息内容 */
    @Excel(name = "消息内容")
    private String messageContent;

    /** 消息发出时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "消息发出时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 标签
a.0 */
    @Excel(name = "标签")
    private String messageClass;

    /** 状态
a.0 */
    @Excel(name = "状态")
    private String messageStatus;

    public void setMessageId(Long messageId) 
    {
        this.messageId = messageId;
    }

    public Long getMessageId() 
    {
        return messageId;
    }
    public void setSendUserId(Long sendUserId) 
    {
        this.sendUserId = sendUserId;
    }

    public Long getSendUserId() 
    {
        return sendUserId;
    }
    public void setReceiveUserId(Long receiveUserId) 
    {
        this.receiveUserId = receiveUserId;
    }

    public Long getReceiveUserId() 
    {
        return receiveUserId;
    }
    public void setMessageContent(String messageContent) 
    {
        this.messageContent = messageContent;
    }

    public String getMessageContent() 
    {
        return messageContent;
    }
    public void setSendTime(Date sendTime) 
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime() 
    {
        return sendTime;
    }
    public void setMessageClass(String messageClass) 
    {
        this.messageClass = messageClass;
    }

    public String getMessageClass() 
    {
        return messageClass;
    }
    public void setMessageStatus(String messageStatus) 
    {
        this.messageStatus = messageStatus;
    }

    public String getMessageStatus() 
    {
        return messageStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("messageId", getMessageId())
            .append("sendUserId", getSendUserId())
            .append("receiveUserId", getReceiveUserId())
            .append("messageContent", getMessageContent())
            .append("sendTime", getSendTime())
            .append("messageClass", getMessageClass())
            .append("messageStatus", getMessageStatus())
            .toString();
    }
}
